<?
//Asterisk API Manager
$API_user="admin";
$API_pass="qwerty_123_mnbvc";
$API_host="localhost";  

//Mysql ACCOUNT 
$synDbHost="localhost";
$synDbUser="root";
$synDbPassword="voiceone"; 
$synDbName="asterisk";

// htaccess Authorization
// this account informations must be the same of the $soapUsername and 
// $soapPassword in the /voiceone/admin/config/cfg.php
$htaccessUser="root";
$htaccessPassword="voiceone"; 

//IVR file prefix and upload path 
$ivrPrefix = "cwivr_";
$ivrStartingDir="IVR/"; //this is the relative directory, starting from the audio standard directory. WITH TRAILING SLASH!

//Group Prefix
$groupPrefix="CWGRP_";

//pstn-in context. The contexts will be created using $pstnin.$groupId, where $groupId is the isdn port group ID.
$pstnin="cw_pstn-in";

//Set your domain REALM
$realm = "voiceone.it";

//Set your private/public key Name
$keyName = "mypbx";

//SandBox Path (WITH TRAILING SLASH!)
$sandBox="sandbox/";

//ModProbe Path
$modprobe=$sandBox."misdn-init.conf";

//VoiceOne Web Service document root
$voiceoneWSDocumentRoot="/var/www/voiceone_webservices";

//Script to move generate the public and private key for asterisk
$astGenKeyScript="astgenkey -q -n ";

//Script to start/stop/reload misdn driver
$misdn_sh="/etc/init.d/misdn-init";

//Script to start/stop the asterisk pbx
$safe_asterisk="/etc/init.d/asterisk";


///////////////////////////////////////////////////////////////////////////////
//  AUTO CALCULATED VARIABLE
//////////////////////////////////////////////////////////////////////////////

//phisical path. I.e. /var/www/html/site1/
$absBasePath=substr(dirname(__FILE__),0,strlen(dirname(__FILE__))-6);

//relative path. I.e. /site1/
$relBasePath="/".basename($absBasePath)."/";

//Script to update the Network parameter
$networkScript=$voiceoneWSDocumentRoot."/config/script/set_rete.sh";

//Script to move the department key in the right position
$inkeyScript=$voiceoneWSDocumentRoot."/config/script/inkey.sh";

//Script to update the mIsdn configuration
$misdn_conf=$voiceoneWSDocumentRoot."/config/script/misdn-conf.sh";

///////////////////////////////////////////////////////////////////////////////
//  DO NOT MODIFY UNDER THIS LINE
//////////////////////////////////////////////////////////////////////////////
//db configuration
$dir = dirname(__FILE__) . '/';
require_once $dir . '../lib/adodb/adodb.inc.php';
require_once $dir . '../lib/adodb/adodb-pager.inc.php';
require_once $dir . '../lib/adodb/class.synPager.php';
require_once $dir . '../lib/adodb/adodb-errorhandler.inc.php';
require_once $dir . '../lib/nusoap/nusoap.php';
require_once $dir . '../lib/floapi/floAPI.php';

//error_reporting(E_ALL); # report all errors
//ini_set("display_errors", "0"); # but do not echo the errors
//define('ADODB_ERROR_LOG_TYPE',3);
//define('ADODB_ERROR_LOG_DEST',$dir . '../public/configs/err.log');
$db = NewADOConnection('mysql');

//connect to Database
$result=@$db->Connect($synDbHost, $synDbUser, $synDbPassword, $synDbName);

//if some configuration fails... reconfigure the parameter
if ($result===false) {die("no db configuration done");}

//if the DB is empty, populate it!
$a = $db->MetaTables();
if ($a!==false AND count($a)==0) {error_log("database empty?");} 

//bypass the registrer globals problem
if (!ini_get('register_globals')) {
  $superglobals = array($_SERVER, $_ENV, $_FILES, $_COOKIE, $_POST, $_GET);

  if (isset($_SESSION)) {
    array_unshift($superglobals, $_SESSION);
  }

  foreach ($superglobals as $superglobal) {
    extract($superglobal, EXTR_SKIP);
  }
}


?>